Debian Bug report logs - #637924
icedove: symbol lookup error

version graph

Package: icedove; Maintainer for icedove is Christoph Goehre <chris@sigxcpu.org>; Source for icedove is src:icedove.

Reported by: Anders Lagerås <anders.lageras@gmail.com>

Date: Mon, 15 Aug 2011 19:24:02 UTC

Severity: important

Tags: experimental, sid, wheezy

Found in versions icedove/3.1.11-1, icedove/3.1.12-1, icedove/3.0.11-1+squeeze1, icedove/3.0.11-2

Fixed in version 5.0-2

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Mon, 15 Aug 2011 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Lagerås <anders.lageras@gmail.com>:
New Bug report received and forwarded. Copy sent to Alexander Sack <asac@debian.org>. (Mon, 15 Aug 2011 19:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anders Lagerås <anders.lageras@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: icedove: symbol lookup error
Date: Mon, 15 Aug 2011 21:20:31 +0200
Package: icedove
Version: 3.1.11-1
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

icedove does nto start
/usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libmailcomps.so: undefined symbol: NS_CStringContainerInit2

- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icedove depends on:
ii  debianutils             4.0.2            Miscellaneous utilities specific t
ii  fontconfig              2.8.0-3          generic font configuration library
ii  libasound2              1.0.24.1-3       shared library for ALSA applicatio
ii  libatk1.0-0             2.0.1-2          ATK accessibility toolkit
ii  libc6                   2.13-16          Embedded GNU C Library: Shared lib
ii  libcairo2               1.10.2-6.1       The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.4.14-1         simple interprocess messaging syst
ii  libffi5                 3.0.9-7          Foreign Function Interface library
ii  libfontconfig1          2.8.0-3          generic font configuration library
ii  libfreetype6            2.4.6-1          FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.6.1-6        GCC support library
ii  libgdk-pixbuf2.0-0      2.23.5-3         GDK Pixbuf library
ii  libglib2.0-0            2.28.6-1         The GLib library of C routines
ii  libgtk2.0-0             2.24.5-4         GTK+ graphical user interface libr
ii  libhunspell-1.2-0       1.2.14-4         spell checker and morphological an
ii  libjpeg62               6b1-2            Independent JPEG Group's JPEG runt
ii  libnspr4-0d             4.8.9-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.11-1        Network Security Service libraries
ii  libpango1.0-0           1.28.4-2         Layout and rendering of internatio
ii  libpixman-1-0           0.22.2-1         pixel-manipulation library for X a
ii  libpng12-0              1.2.46-3         PNG library - runtime
ii  libsqlite3-0            3.7.7-2          SQLite 3 shared library
ii  libstartup-notification 0.12-1           library for program launch feedbac
ii  libstdc++6              4.6.1-6          GNU Standard C++ Library v3
ii  libx11-6                2:1.4.4-1        X11 client-side library
ii  libxrender1             1:0.9.6-2        X Rendering Extension client libra
ii  libxt6                  1:1.1.1-2        X11 toolkit intrinsics library
ii  psmisc                  22.14-1          utilities that use the proc file s
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages icedove recommends:
ii  myspell-en-gb [myspell-dicti 1:3.3.0-3   English_british dictionary for mys
ii  myspell-en-us [myspell-dicti 1:3.3.0-3   English_american dictionary for my
ii  myspell-es [myspell-dictiona 1.11-2      Spanish dictionary for myspell
ii  myspell-sv-se [myspell-dicti 1.3.8-6-2.3 Swedish (SE) dictionary for myspel

Versions of packages icedove suggests:
ii  libdbus-glib-1-2            0.94-4       simple interprocess messaging syst
ii  libgconf2-4                 2.32.4-1     GNOME configuration database syste
pn  libgnomevfs2-0              <none>       (no description available)
ii  libgssapi-krb5-2            1.9.1+dfsg-2 MIT Kerberos runtime libraries - k
ii  libnotify1 [libnotify1-gtk2 0.5.0-2      sends desktop notifications to a n
ii  ttf-lyx                     2.0.0-1      TrueType versions of some TeX font

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5JcXwACgkQw5UvgfnzqGqUsACgmmTu1X84z/CixX06Pz4lRC5S
OccAoKXm6mXznggvQKeW5JRNHl0+WYPv
=64ze
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Wed, 17 Aug 2011 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 17 Aug 2011 09:03:15 GMT) Full text and rfc822 format available.

Message #10 received at 637924@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <637924@bugs.debian.org>
Subject: Re: icedove: symbol lookup error
Date: Wed, 17 Aug 2011 10:58:01 +0200
Package: icedove
Version: 3.1.11-1
Followup-For: Bug #637924

Hello,

I started getting a similar error after removing libnotify1:

  /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libmailcomps.so: undefined symbol: NS_CStringContainerInit

It disappeared after reinstalling back libnotify1 from:

  http://snapshot.debian.org/archive/debian/20100629T095456Z/pool/main/libn/libnotify/libnotify1_0.5.0-2_amd64.deb


Cheers,

-- 
Stéphane

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icedove depends on:
ii  debianutils             4.0.2            Miscellaneous utilities specific t
ii  fontconfig              2.8.0-3          generic font configuration library
ii  libasound2              1.0.24.1-3       shared library for ALSA applicatio
ii  libatk1.0-0             2.0.1-2          ATK accessibility toolkit
ii  libc6                   2.13-16          Embedded GNU C Library: Shared lib
ii  libcairo2               1.10.2-6.1       The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.5.4-3          simple interprocess messaging syst
ii  libffi5                 3.0.9-7          Foreign Function Interface library
ii  libfontconfig1          2.8.0-3          generic font configuration library
ii  libfreetype6            2.4.6-1          FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.6.1-7        GCC support library
ii  libgdk-pixbuf2.0-0      2.23.5-3         GDK Pixbuf library
ii  libglib2.0-0            2.28.6-1         The GLib library of C routines
ii  libgtk2.0-0             2.24.5-4         GTK+ graphical user interface libr
ii  libhunspell-1.2-0       1.2.14-4         spell checker and morphological an
ii  libjpeg62               6b1-2            Independent JPEG Group's JPEG runt
ii  libnspr4-0d             4.8.8-2          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.10-3        Network Security Service libraries
ii  libpango1.0-0           1.28.4-3         Layout and rendering of internatio
ii  libpixman-1-0           0.22.2-1         pixel-manipulation library for X a
ii  libpng12-0              1.2.46-3         PNG library - runtime
ii  libsqlite3-0            3.7.7-2          SQLite 3 shared library
ii  libstartup-notification 0.12-1           library for program launch feedbac
ii  libstdc++6              4.6.1-7          GNU Standard C++ Library v3
ii  libx11-6                2:1.4.4-1        X11 client-side library
ii  libxrender1             1:0.9.6-2        X Rendering Extension client libra
ii  libxt6                  1:1.1.1-2        X11 toolkit intrinsics library
ii  psmisc                  22.14-1          utilities that use the proc file s
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages icedove recommends:
ii  myspell-en-gb [myspell-dictio 1:3.3.0-3  English_british dictionary for mys
ii  myspell-en-us [myspell-dictio 1:3.3.0-3  English_american dictionary for my
ii  myspell-fr-gut [myspell-dicti 1:1.0-30   French dictionary for myspell (GUT

Versions of packages icedove suggests:
ii  libdbus-glib-1-2         0.94-4          simple interprocess messaging syst
ii  libgconf2-4              2.32.4-1        GNOME configuration database syste
ii  libgnomevfs2-0           1:2.24.4-1      GNOME Virtual File System (runtime
ii  libgssapi-krb5-2         1.9.1+dfsg-1+b1 MIT Kerberos runtime libraries - k
ii  libnotify1 [libnotify1-g 0.5.0-2         sends desktop notifications to a n
pn  ttf-lyx                  <none>          (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Wed, 17 Aug 2011 11:51:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 17 Aug 2011 11:51:22 GMT) Full text and rfc822 format available.

Message #15 received at 637924@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <637924@bugs.debian.org>
Subject: Re: icedove: symbol lookup error
Date: Wed, 17 Aug 2011 13:49:21 +0200
Le 17/08/2011 10:58, Stéphane Glondu a écrit :
> I started getting a similar error after removing libnotify1:
>
>    /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libmailcomps.so: undefined symbol: NS_CStringContainerInit
>
> It disappeared after reinstalling back libnotify1 from:
>
>    http://snapshot.debian.org/archive/debian/20100629T095456Z/pool/main/libn/libnotify/libnotify1_0.5.0-2_amd64.deb

Running iceweasel with LD_DEBUG=all gives:

> [...]
> file=/usr/lib/icedove/components/libmozgnome.so [0];  needed by /usr/lib/x86_64-linux-gnu/libnspr4.so.0d [0]
> file=/usr/lib/icedove/components/libmozgnome.so [0];  generating link map
>   dynamic: 0x00007fe0e0bff3e8  base: 0x00007fe0e09f3000   size: 0x000000000020c928
>     entry: 0x00007fe0e09f6900  phdr: 0x00007fe0e09f3040  phnum:                  6
>
>
> file=libnotify.so.1 [0];  needed by /usr/lib/icedove/components/libmozgnome.so [0]
> find library=libnotify.so.1 [0]; searching
>  search path=/usr/lib/icedove           (LD_LIBRARY_PATH)
>   trying file=/usr/lib/icedove/libnotify.so.1
>  search cache=/etc/ld.so.cache
>   trying file=/usr/lib/libnotify.so.1
>
> file=libnotify.so.1 [0];  generating link map
>   dynamic: 0x00007fe0e09f2100  base: 0x00007fe0e07ea000   size: 0x0000000000208758
>     entry: 0x00007fe0e07eda60  phdr: 0x00007fe0e07ea040  phnum:                  6
>
> checking for version `CXXABI_1.3' in file /usr/lib/x86_64-linux-gnu/libstdc++.so.6 [0] required by file /usr/lib/icedove/components/libmozgnome.so [0]
> checking for version `GLIBCXX_3.4' in file /usr/lib/x86_64-linux-gnu/libstdc++.so.6 [0] required by file /usr/lib/icedove/components/libmozgnome.so [0]
> checking for version `GLIBC_2.2.5' in file /lib/x86_64-linux-gnu/libc.so.6 [0] required by file /usr/lib/icedove/components/libmozgnome.so [0]
> checking for version `GLIBC_2.2.5' in file /lib/x86_64-linux-gnu/libc.so.6 [0] required by file /usr/lib/libnotify.so.1 [0]
> checking for version `GLIBC_2.7' in file /lib/x86_64-linux-gnu/libc.so.6 [0] required by file /usr/lib/libnotify.so.1 [0]
> [...]

Indeed, libnotify.so.1 is needed (according to ldd and readelf) by 
libmozgnome.so, which itself is not actually needed by libnspr4.so.0d... 
I suppose libmozgnome.so is some kind of plugin that is dlopen()-ed by a 
function in libnspr4.so.0d.

Anyway, it looks like the icedove package does lack a dependency to 
libnotify1, or its way of detecting the possibility to load 
libmozgnome.so is broken...


Cheers,

-- 
Stéphane




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Wed, 17 Aug 2011 12:11:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 17 Aug 2011 12:11:11 GMT) Full text and rfc822 format available.

Message #20 received at 637924@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <637924@bugs.debian.org>
Subject: Re: icedove: symbol lookup error
Date: Wed, 17 Aug 2011 14:08:16 +0200
[Message part 1 (text/plain, inline)]
Le 17/08/2011 13:49, Stéphane Glondu a écrit :
> Running iceweasel with LD_DEBUG=all gives: [...]

Attached are the full outputs with LD_DEBUG=symbols with and without 
libnotify1.


Cheers,

-- 
Stéphane
[icedove-with-libnotify1.txt.xz (application/x-xz, attachment)]
[icedove-without-libnotify1.txt.xz (application/x-xz, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Wed, 17 Aug 2011 12:45:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 17 Aug 2011 12:45:23 GMT) Full text and rfc822 format available.

Message #25 received at 637924@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Stéphane Glondu <glondu@debian.org>, 637924@bugs.debian.org
Subject: Re: Bug#637924: icedove: symbol lookup error
Date: Wed, 17 Aug 2011 14:42:21 +0200
On Wed, Aug 17, 2011 at 02:08:16PM +0200, Stéphane Glondu wrote:
> Le 17/08/2011 13:49, Stéphane Glondu a écrit :
> >Running iceweasel with LD_DEBUG=all gives: [...]
> 
> Attached are the full outputs with LD_DEBUG=symbols with and without
> libnotify1.

This very much looks like an ld.so bug. It doesn't even try to lookup
the symbol in libxpcom.so, where it is, while libmailcomps.so is linked
against libxpcom.so. Somehow, the fact that libmozgnome.so is also
linked against libxpcom.so might work around that issue when libnotify
is present.

Since it works in iceape, I guess icedove needs something like that
to work around that bug:
http://anonscm.debian.org/gitweb/?p=pkg-mozilla/iceape.git;a=commitdiff;h=70ffea987cc185ad836704886dcd9a22b669acc3;hp=bc9be92511c8af63bded187f8d75319feb5f710b

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Wed, 17 Aug 2011 12:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Wed, 17 Aug 2011 12:51:18 GMT) Full text and rfc822 format available.

Message #30 received at 637924@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Stéphane Glondu <glondu@debian.org>, 637924@bugs.debian.org
Subject: Re: Bug#637924: icedove: symbol lookup error
Date: Wed, 17 Aug 2011 14:46:01 +0200
On Wed, Aug 17, 2011 at 02:42:21PM +0200, Mike Hommey wrote:
> On Wed, Aug 17, 2011 at 02:08:16PM +0200, Stéphane Glondu wrote:
> > Le 17/08/2011 13:49, Stéphane Glondu a écrit :
> > >Running iceweasel with LD_DEBUG=all gives: [...]
> > 
> > Attached are the full outputs with LD_DEBUG=symbols with and without
> > libnotify1.
> 
> This very much looks like an ld.so bug. It doesn't even try to lookup
> the symbol in libxpcom.so, where it is, while libmailcomps.so is linked
> against libxpcom.so. Somehow, the fact that libmozgnome.so is also
> linked against libxpcom.so might work around that issue when libnotify
> is present.
> 
> Since it works in iceape, I guess icedove needs something like that
> to work around that bug:
> http://anonscm.debian.org/gitweb/?p=pkg-mozilla/iceape.git;a=commitdiff;h=70ffea987cc185ad836704886dcd9a22b669acc3;hp=bc9be92511c8af63bded187f8d75319feb5f710b

Note that the underlying ld.so issue could very well be related to bug
626076.

Since the way these components are linked and loaded hasn't changed for
a long time, I guess some recent change to ld.so could be blamed. It
would be interesting to try to downgrade libc6.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#637924; Package icedove. (Thu, 18 Aug 2011 12:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Thu, 18 Aug 2011 12:48:18 GMT) Full text and rfc822 format available.

Message #35 received at 637924@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Stéphane Glondu <glondu@debian.org>, 637924@bugs.debian.org
Subject: Re: Bug#637924: icedove: symbol lookup error
Date: Thu, 18 Aug 2011 14:44:03 +0200
clone 637924 -1
reassign -1 libc6
severity -1 critical
thanks

On Wed, Aug 17, 2011 at 02:46:01PM +0200, Mike Hommey wrote:
> On Wed, Aug 17, 2011 at 02:42:21PM +0200, Mike Hommey wrote:
> > On Wed, Aug 17, 2011 at 02:08:16PM +0200, Stéphane Glondu wrote:
> > > Le 17/08/2011 13:49, Stéphane Glondu a écrit :
> > > >Running iceweasel with LD_DEBUG=all gives: [...]
> > > 
> > > Attached are the full outputs with LD_DEBUG=symbols with and without
> > > libnotify1.
> > 
> > This very much looks like an ld.so bug. It doesn't even try to lookup
> > the symbol in libxpcom.so, where it is, while libmailcomps.so is linked
> > against libxpcom.so. Somehow, the fact that libmozgnome.so is also
> > linked against libxpcom.so might work around that issue when libnotify
> > is present.
> > 
> > Since it works in iceape, I guess icedove needs something like that
> > to work around that bug:
> > http://anonscm.debian.org/gitweb/?p=pkg-mozilla/iceape.git;a=commitdiff;h=70ffea987cc185ad836704886dcd9a22b669acc3;hp=bc9be92511c8af63bded187f8d75319feb5f710b

I still think that should be applied to icedove, so I'll leave this bug
here.

> Note that the underlying ld.so issue could very well be related to bug
> 626076.
> 
> Since the way these components are linked and loaded hasn't changed for
> a long time, I guess some recent change to ld.so could be blamed. It
> would be interesting to try to downgrade libc6.

I verified that libc6 is indeed the culprit. The remaining question is
whether that comes from multiarch or from 2.13.

Here is how I managed to reproduce the issue and verify that libc6 is
the culprit:

- pbuilder login in a squeeze chroot
- add squeeze-backports to the apt sources.list
- install icedove from squeeze-backports
- install libdbus-glib-1-2 libgconf2-4 libgnomevfs2-0
- run icedove with DISPLAY set to a remote X, it works
- upgrade libc6 to the version in unstable (I needed -o
  APT::Immediate-Configure=no ; I also removed a bunch of build related
  packages to minimize the number of installed/upgraded packages)
- touch /usr/lib/icedove/.autoreg
- run icedove with DISPLAY set to a remote X, it fails
- downgrade libc6 to the version in squeeze
- touch /usr/lib/icedove/.autoreg
- run icedove with DISPLAY set to a remote X, it works
- re-upgrade libc6 to the version in unstable
- touch /usr/lib/icedove/.autoreg
- run icedove with DISPLAY set to a remote X, it fails again

My bet is that bug 626076 is also the very same ld.so problem.

Mike




Bug 637924 cloned as bug 638307. Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 12:48:23 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637924: 617759 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:24:08 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637924: 617759 and 638307 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 17:42:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.0.11-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 19 Aug 2011 04:09:04 GMT) Full text and rfc822 format available.

Added tag(s) sid, wheezy, and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 19 Aug 2011 04:09:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.0.11-1+squeeze1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 19 Aug 2011 04:30:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions icedove/3.1.12-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 23 Aug 2011 05:54:03 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Tue, 23 Aug 2011 05:54:06 GMT) Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. (Tue, 23 Aug 2011 05:54:06 GMT) Full text and rfc822 format available.

Message #54 received at 637924-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Anders Lagerås <anders.lageras@gmail.com>
Cc: 637924-done@bugs.debian.org
Subject: Re: icedove: symbol lookup error
Date: Tue, 23 Aug 2011 00:51:01 -0500
Version: 5.0-2
found 637924 icedove/3.1.12-1
quit

Hi,

Anders Lagerås wrote:

> icedove does nto start
> /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libmailcomps.so: undefined symbol: NS_CStringContainerInit2

I can reproduce this in current sid:

| $ icedove
| /usr/lib/icedove/icedove-bin: symbol lookup error: /usr/lib/icedove/components/libdbusservice.so: undefined symbol: NS_Alloc

Updating icedove to experimental makes it go away.  Downgrading back
to sid makes it happen again.  libc6 is 2.13-16.  So this seems to be
fixed; thanks!




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Apr 2012 07:35:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:24:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.